/*-/-/-/-/-/-/-/-/-/-/-/-/-/-/-/-/-/-/-/-/-/-/-/*/
/*-					       -*/
/*-     ___       ___       ___       ___      -*/
/*-    /\  \     /\__\     /\  \     /\  \     -*/
/*-   /::\  \   /:| _|_   _\:\  \   /::\  \    -*/
/*-  /::\:\__\ /::|/\__\ /\/::\__\ /:/\:\__\   -*/
/*-  \;:::/  / \/|::/  / \::/\/__/ \:\/:/  /   -*/
/*-   |:\/__/    |:/  /   \:\__\    \::/  /    -*/
/*-    \|__|     \/__/     \/__/     \/__/     -*/
/*-					       -*/
/*-  - RedKod NetWork Informations Displayer - -*/
/*-           http://www.redkod.com/           -*/
/*-					       -*/
/*- Coder : R-e-D			       -*/
/*- Mail  : r-e-d@redkod.com		       -*/
/*-					       -*/
/*-/-/-/-/-/-/-/-/-/-/-/-/-/-/-/-/-/-/-/-/-/-/-/*/

#include <windows.h>
#include <stdio.h>
#include <stdlib.h>

#include <iphlpapi.h>


int GetAndDisplayNetworkInfos(void)
{
	PFIXED_INFO FixedInfo;
	DWORD OutBufLen;
	
	OutBufLen = GetNetworkParams(NULL, &OutBufLen);
	OutBufLen = (OutBufLen + 1) * sizeof(FIXED_INFO);
	FixedInfo = (PFIXED_INFO)malloc(OutBufLen * sizeof(FixedInfo));
	
	if(GetNetworkParams(FixedInfo, &OutBufLen) == NO_ERROR)
	{	
		fprintf(stdout, "=========================\n");
		fprintf(stdout, "= NetWork Informations  =\n");
		fprintf(stdout, "=========================\n\n");
		fprintf(stdout, "Hostname\t\t%s\n", FixedInfo->HostName);
		fprintf(stdout, "Domainname\t\t%s\n", FixedInfo->DomainName);
		fprintf(stdout, "Routing\t\t\t%d\n", FixedInfo->EnableRouting);
		fprintf(stdout, "DNS\t\t\t%d\n", FixedInfo->EnableDns);
		fprintf(stdout, "Proxy\t\t\t%d\n", FixedInfo->EnableProxy);
	}
	else 
		fprintf(stdout, "Error: %d\n", GetLastError());

	free(FixedInfo);

	return(0);
}